# Generated by Django 4.1.10 on 2024-02-03 10:28

from django.db import migrations, models


def reset_to_default(apps, schema_editor):
    DonateProjectPage = apps.get_model("donate", "DonateProjectPage")

    for project_page in DonateProjectPage.objects.all():
        project_page.form_title = "Daruj na projekt"
        project_page.save()


class Migration(migrations.Migration):
    dependencies = [
        ("donate", "0042_remove_donatehomepage_custom_url_1_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="donateprojectpage",
            name="form_title",
            field=models.CharField(
                default="Daruj na projekt",
                help_text="Např. 'Daruj na projekt', 'Daruj na kampaň', ...",
                max_length=32,
                verbose_name="Titulek formuláře",
            ),
        ),
        migrations.RunPython(reset_to_default),
    ]
